ComponentTuplizerFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple.component
Class ComponentTuplizerFactory

    java.lang.Object
      org.hibernate.tuple.component.ComponentTuplizerFactory

All Implemented Interfaces:
  Serializable

    public class ComponentTuplizerFactory

extends Object
implements Serializable

A registry allowing users to define the default `ComponentTuplizer` class to use per `EntityMode`.

See Also:
  Serialized Form

Constructor Summary
`ComponentTuplizerFactory()`

Method Summary
`ComponentTuplizer` | `constructDefaultTuplizer(EntityMode entityMode, Component metadata)` Construct am instance of the default tuplizer for the given entity-mode.
`ComponentTuplizer` | `constructTuplizer(Class<? extends ComponentTuplizer> tuplizerClass, Component metadata)` Construct an instance of the given tuplizer class.
`ComponentTuplizer` | `constructTuplizer(String tuplizerClassName, Component metadata)` Construct an instance of the given tuplizer class.
`void` | `registerDefaultTuplizerClass(EntityMode entityMode, Class<? extends ComponentTuplizer> tuplizerClass)` Method allowing registration of the tuplizer class to use as default for a particular entity-mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentTuplizerFactory

    public ComponentTuplizerFactory()

Method Detail

### registerDefaultTuplizerClass

    public void registerDefaultTuplizerClass(EntityMode entityMode,
                                             Class<? extends ComponentTuplizer> tuplizerClass)

  Method allowing registration of the tuplizer class to use as default for a particular entity-mode.

  Parameters:
    `entityMode` - The entity-mode for which to register the tuplizer class
    `tuplizerClass` - The class to use as the default tuplizer for the given entity-mode.

### constructTuplizer

    public ComponentTuplizer constructTuplizer(String tuplizerClassName,
                                               Component metadata)

  Construct an instance of the given tuplizer class.

  Parameters:
    `tuplizerClassName` - The name of the tuplizer class to instantiate
    `metadata` - The metadata for the component.
  Returns:
    The instantiated tuplizer
  Throws:
    `HibernateException` - If class name cannot be resolved to a class reference, or if the `Constructor.newInstance(java.lang.Object...)` call fails.

### constructTuplizer

    public ComponentTuplizer constructTuplizer(Class<? extends ComponentTuplizer> tuplizerClass,
                                               Component metadata)

  Construct an instance of the given tuplizer class.

  Parameters:
    `tuplizerClass` - The tuplizer class to instantiate
    `metadata` - The metadata for the component.
  Returns:
    The instantiated tuplizer
  Throws:
    `HibernateException` - if the `Constructor.newInstance(java.lang.Object...)` call fails.

### constructDefaultTuplizer

    public ComponentTuplizer constructDefaultTuplizer(EntityMode entityMode,
                                                      Component metadata)

  Construct am instance of the default tuplizer for the given entity-mode.

  Parameters:
    `entityMode` - The entity mode for which to build a default tuplizer.
    `metadata` - The metadata for the component.
  Returns:
    The instantiated tuplizer
  Throws:
    `HibernateException` - If no default tuplizer found for that entity-mode; may be re-thrown from `constructTuplizer(java.lang.String, org.hibernate.mapping.Component)` too.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.